# Usage
`buru <command> [<options>] [<args>]`

## Options
* `--version`
  * Show application version
* `--license`
  * Display EULA and license information

## Starting, stopping and installing the server

* [`init`](/docs/buru/init) - Initialze default configuration and server keys
* [`run`](/docs/buru/run) - Run the server in interactive mode
* [`install`](/docs/buru/install) - Install the server in interactive mode
* [`uninstall`](/docs/buru/uninstall) - Uninstall the server in interactive mode
* [`svc install`](/docs/buru/svc-install) - Install as Windows Service
* [`svc uninstall`](/docs/buru/svc-uninstall) - Uninstall Windows Service
* [`svc start`](/docs/buru/svc-start) - Start Windows Service
* [`svc stop`](/docs/buru/svc-stop) - Stop Windows Service

## Managing users

* [`user add`](/docs/buru/user-add) - Add user to the user database
* [`user list`](/docs/buru/user-list) - Lists users in the database
* [`user delete`](/docs/buru/user-delete) - Remove user from the user database
* [`user update`](/docs/buru/user-update) - Modify user in the user database
* [`path`](/docs/buru/path) - Add or replace user path mapping
* [`path delete`](/docs/buru/path-delete) - Delete user path mapping
* [`path list`](/docs/buru/path-list) - Lists user path mappings

## Miscellaneous

* [`keygen`](/docs/buru/keygen) - Generate SSH private keys
* [`filezilla import-users`](/docs/buru/filezilla-import-users) - Import users from FileZilla FTP Server

# Help
Type `buru <command> --help` to display help for selected command, e.g. `buru path --help`.
