## NAME
`buru user update` - Modifies existing user in the user database.

## OPTIONS
* `--addkeys <keyfile1> <keyfile2> <...>`
  * Adds public keys. 
* `--keyAuth <enabled | disabled | required>`
  * Enables, disables or makes public key authentication mandatory. Combine with `--passwordAuth` to enforce two-factor authentication.
* `--noadmin`
  * Disallows user to access web administration tool (if installed)
* `-p, --pwd` 
  * Update password (will prompt for new password).
* `--password <password>` 
  * Plaintext password. Not recommended as the password will be visible when entering - use `-p` instead.
* `--passwordAuth <enabled | disabled | required>`
  * Enables, disables or makes password authentication mandatory. Combine with `--keyAuth` to enforce two-factor authentication. 
* `--readonly` 
  * Read-only access (mutually exclusive with readwrite)
* `--readwrite` 
  * Read-write access (mutually exclusive with readonly)
* `--removekeys <pattern1> <pattern2> <...>` 
  * Removes existing public keys. Possible values are (part of) SHA-512 fingerprint (e.g. `a5:5e`), algorithm (e.g. `rsa`) or '&ast;' for all keys. 
* `--removepwd` 
  * Removes password (disables password authentication).
* `--setkeys <keyfile1> <keyfile2> <...>` 
  * Replaces existing public keys with new ones.
* `--webadmin`
  * Allows user to access web administration tool (if installed)
  
## EXAMPLES
* `buru user update guybrush --password kate`
  * Change password to 'kate' for user guybrush

* `buru user update guybrush --setkeys C:\Users\guybrush\rsa.pub`
  * Replace existing public keys for user guybrush

## SEE ALSO
[user add](user-add), [user list](user-list), [user delete](user-delete)